#include "segment.h"

Segment **get_connected_to(Segment *segment) { return segment->connected_to; }

uint32_t get_connected_to_count(Segment *segment) {
  int size = 2;
  for (int i = 0; i < 2; i++) {
    size -= (segment->connected_to[i] == NULL);
  }
  return size;
}

Train *get_train(Segment *segment) { return segment->train; }
